/*-
 * ============LICENSE_START=======================================================
 *  Copyright (C) 2019 Nordix Foundation.
 * ================================================================================
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * SPDX-License-Identifier: Apache-2.0
 * ============LICENSE_END=========================================================
 */
package org.onap.so.sdncsimulator.models;

import java.io.Serializable;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * @author Waqas Ikram (waqas.ikram@est.tech)
 *
 */
public class OutputRequest implements Serializable {

    private static final long serialVersionUID = -6702076913290110397L;

    @JsonProperty("output")
    private Output output;

    public OutputRequest() {}

    public OutputRequest(final Output output) {
        this.output = output;
    }


    public Output getOutput() {
        return output;
    }

    public void setOutput(final Output output) {
        this.output = output;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder();
        sb.append("class OutputRequest {\n");
        sb.append("    output: ").append(output).append("\n");
        sb.append("}");
        return sb.toString();
    }

}
