/*-
 * ============LICENSE_START=======================================================
 * Copyright (C) 2019 Samsung. All rights reserved.
 * ================================================================================
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ============LICENSE_END=========================================================
 */

package org.onap.so.svnfm.simulator.util;

public class PatternContainedChecker {

    private final boolean contained;
    private final String text;

    public PatternContainedChecker(final String pattern, final String text) {
        this.contained = text.contains(pattern);
        this.text = this.contained ? text.substring(0, text.indexOf(pattern)) : text;
    }

    public boolean isContained() {
        return contained;
    }

    public String getText() {
        return text;
    }
}
